## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     proto-plus
%global         forgeurl    https://github.com/googleapis/proto-plus-python
Version:        1.20.3
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python wrapper around protocol buffers

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytz)
%endif

%global _description %{expand:
This is a wrapper around protocol buffers. Protocol buffers is a specification
format for APIs, such as those inside Google. This library provides protocol
buffer message classes and objects that largely behave like native Python
types.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -x testing


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files proto


%if %{with tests}
%check
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.md CONTRIBUTING.rst


%changelog
* Mon Feb 21 2022 Major Hayden <major@redhat.com> 1.20.3-1
- Update to 1.20.3

* Thu Feb 17 2022 Major Hayden <major@redhat.com> 1.20.2-1
- Update to 1.20.2

* Tue Feb 15 2022 Major Hayden <major@redhat.com> 1.20.1-1
- Update to 1.20.1

* Mon Feb 07 2022 Major Hayden <major@redhat.com> 1.20.0-1
- Update to 1.20.0

* Wed Jan 26 2022 Major Hayden <major@redhat.com> 1.19.9-1
- Update to 1.19.9

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.19.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 08 2021 Major Hayden <major@redhat.com> 1.19.7-1
- Update to 1.19.7

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> 1.19.6-1
- Update to 1.19.6

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 1.19.5-1
- Update to 1.19.5

* Mon Oct 11 2021 Major Hayden <major@mhtx.net> 1.19.4-1
- Update to 1.19.4

* Wed Sep 29 2021 Major Hayden <major@mhtx.net> 1.19.2-1
- Update to 1.19.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.19.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 16 2021 Major Hayden <major@mhtx.net> 1.19.0-1
- Initial import (#1982800)
